board      = "spec"
sim_tool   = "modelsim"
sim_top    = "main"
action     = "simulation"
target     = "xilinx"
syn_device = "xc6slx150t"
vcom_opt   = "-93 -mixedsvvh"

# Allow the user to override fetchto using:
#  hdlmake -p "fetchto='xxx'"
if locals().get('fetchto', None) is None:
    fetchto = "../../../dependencies"

sim_pre_cmd = "EXTRA2_CFLAGS='-DSIMULATION' make -C ../../../software/firmware"

include_dirs = [
    "../include",
    fetchto + "/gn4124-core/hdl/gn4124core/sim/gn4124_bfm",
    fetchto + "/general-cores/sim",
    fetchto + "/mock-turtle/hdl/testbench/include",
    fetchto + "/fmc-adc-100m14b4cha-gw/hdl/testbench/include",
]

files = [
    "main.sv",
    "dut_env.sv",
    "buildinfo_pkg.vhd",
]

modules = {
    "local" : [
        "../../top/wrtd_ref_spec150t_adc",
    ],
}

ctrls = ["bank3_64b_32b"]

# Do not fail during hdlmake fetch
try:
  exec(open(fetchto + "/general-cores/tools/gen_buildinfo.py").read())
except:
  pass
